import { defineComponent as n, createElementBlock as a, createCommentVNode as m, openBlock as s, Fragment as p, createVNode as r, withCtx as i, createTextVNode as d } from "vue";
import u from "./OperationResponses.vue.js";
import k from "./RequestBody.vue.js";
const c = /* @__PURE__ */ n({
  __name: "Webhook",
  props: {
    webhook: {}
  },
  setup(l) {
    return (e, o) => {
      var t;
      return e.webhook ? (s(), a(p, { key: 0 }, [
        r(k, {
          class: "webhook-request-body",
          requestBody: (t = e.webhook.information) == null ? void 0 : t.requestBody
        }, {
          title: i(() => o[0] || (o[0] = [
            d("Payload")
          ])),
          _: 1
        }, 8, ["requestBody"]),
        r(u, { operation: e.webhook }, null, 8, ["operation"])
      ], 64)) : m("", !0);
    };
  }
});
export {
  c as default
};
